#
# spec file for package ebur128
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover   1
%define soname  libebur128
Name:           ebur128
Version:        1.1.0
Release:        1.1
Summary:        A library implementing the EBU R128 loudness standard
License:        MIT
Group:          Development/Libraries/C and C++
Url:            https://github.com/jiixyj/libebur128
Source0:        https://github.com/jiixyj/libebur128/archive/v%{version}.tar.gz#/%{soname}-%{version}.tar.gz
BuildRequires:  cmake => 2.8.12
BuildRequires:  pkgconfig
BuildRequires:  speex-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library library that implements the EBU R 128 standard for loudness 
normalisation.

%package -n     %{soname}-%{sover}
Summary:        A library implementing the EBU R128 loudness standard
Group:          System/Libraries

%description -n %{soname}-%{sover}
This library library that implements the EBU R 128 standard for loudness 
normalisation.

This package contains the shared library.

%package -n     %{soname}-devel
Summary:        Development files for %{soname}
Group:          Development/Libraries/C and C++
Requires:       %{soname}-%{sover} = %{version}

%description -n %{soname}-devel
A library implementing the EBU R128 loudness standard.

This package contains header files and libraries needed to develop
application that use %{soname}.

%prep
%setup -q -n %{soname}-%{version}

%build
%cmake 
make %{?_smp_mflags}

%install
%cmake_install

%post -n %{soname}-%{sover} -p /sbin/ldconfig
%postun -n %{soname}-%{sover} -p /sbin/ldconfig

%files -n %{soname}-%{sover}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/%{soname}.so.*

%files -n %{soname}-devel
%defattr(-,root,root)
%{_includedir}/%{name}.h
%{_libdir}/%{soname}.so

%changelog
* Thu May 26 2016 avvissu@yandex.by
- Initial release
